Bug 62028 - konqueror now choosing sucky fonts
konqueror now choosing sucky fonts
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
Depends On:
Blocks: 61590
  Show dependency treegraph
Reported: 2002-03-26 16:01 EST by Preston Brown
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-21 04:36:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
appearance of slashdot.org (172.32 KB, image/jpeg)
2002-03-26 16:01 EST, Preston Brown
no flags Details
output of xlsfonts (79.11 KB, text/plain)
2002-03-26 16:02 EST, Preston Brown
no flags Details
xfs config file (854 bytes, text/plain)
2002-03-26 16:03 EST, Preston Brown
no flags Details
Screenshot of desktop of a new user with ISO10646 fonts, showing this report is invalid (223.07 KB, image/png)
2002-04-15 07:01 EDT, Bernhard Rosenkraenzer
no flags Details
/usr/share/config and .kde for newly created test-user (151.56 KB, application/octet-stream)
2002-04-17 16:05 EDT, Preston Brown
no flags Details

  None (edit)
Description Preston Brown 2002-03-26 16:01:24 EST
Description of Problem: 
After upgrading to skipjack, Konqueror is choosing shitty fonts (look like scaled bitmap 
fonts).  My fontpath is very normal.  It is attached. 
Version-Release number of selected component (if applicable): 
How Reproducible: 
Steps to Reproduce: 
1. browse some website, like slashdot.org. 
Actual Results: 
Fonts suck 
Expected Results: 
Fonts are smooth and decent sizes. 
Additional Information: 
 See attachments.
Comment 1 Preston Brown 2002-03-26 16:01:57 EST
Created attachment 50624 [details]
appearance of slashdot.org
Comment 2 Preston Brown 2002-03-26 16:02:27 EST
Created attachment 50625 [details]
output of xlsfonts
Comment 3 Preston Brown 2002-03-26 16:03:13 EST
Created attachment 50626 [details]
xfs config file
Comment 4 Bernhard Rosenkraenzer 2002-04-03 05:57:15 EST
Do you still see this in the current version? I can't reproduce it, but I couldn't 
reproduce it in the first place, either.
Comment 5 Preston Brown 2002-04-03 09:15:21 EST
 Did you actually put my fonts and fontpath in place to try and reproduce it?
Comment 6 Preston Brown 2002-04-05 15:43:57 EST
 Have you even done some _basic_ work to debug this problem?  Apparently not.  I did it for 
KDE is having massive problems with the ISO-10646 encoded fonts that come with XFree86, 
specifically, in this case, the ones that live in the 75dpi font directory.  If you remove 
the ISO10646 fonts and let it get at only iso-8859-1 fonts, the problem goes away. 
This ABSOLUTELY needs resolution before we ship.  Out of the box things are broken, broken, 
Comment 7 Bernhard Rosenkraenzer 2002-04-15 06:59:50 EDT
Yes, I did, and this certainly does NOT happen with the ISO10646 fonts.  
If you can still reproduce this on a current install (without moving a .kde 
from an earlier version to the current one), tar up and attach the .kde 
directory of a new user affected by this after first startup. 
Comment 8 Bernhard Rosenkraenzer 2002-04-15 07:01:01 EDT
Created attachment 53844 [details]
Screenshot of desktop of a new user with ISO10646 fonts, showing this report is invalid
Comment 9 Preston Brown 2002-04-17 16:04:51 EDT
 attaching now.
Comment 10 Preston Brown 2002-04-17 16:05:52 EDT
Created attachment 54227 [details]
/usr/share/config and .kde for newly created test-user
Comment 11 Bernhard Rosenkraenzer 2002-04-18 08:25:59 EDT
I'm still getting the good fonts using the /usr/share/config and .kde from  
your tarball.  
Comment 12 Bernhard Rosenkraenzer 2002-04-18 08:35:21 EDT
Found the problem.  
It's a combination of your .kde and your broken /etc/X11/fs/config.  
For some reason, your /etc/X11/fs/config has 
without the :unscaled, which is causing this. 
KDE doesn't add this broken font path anywhere, and it's not there after a 
normal setup (7.3 almost-final, KDE Workstation), so it's just a local config 
Comment 13 Preston Brown 2002-04-18 10:31:15 EDT
We may not be able to fix this for Hampton, but it is an issue.  RHL 7.1 and 7.2 both put  
the 75 and 100dpi fonts in the font path w/o :unscaled, so we have an upgrade issue.  
Especially because there was no problem w/these paths being present for KDE in 7.1 and 7.2.
Comment 14 Bernhard Rosenkraenzer 2002-04-18 10:47:13 EDT
We should just remove this broken path from /etc/X11/fs/config in some %post  
script, preferrably XFree86-75dpi-fonts because that's where it supposedly 
came from. 
Bitmap fonts without :unscaled are evil.
Comment 15 Mike A. Harris 2002-05-21 04:35:39 EDT
I have reworked the XFree86 subpackages to ensure :unscaled entries
get placed in the xfs config.  Due to constant oddball font issues like
this coming up all of the time from different angles, I've attacked the
problem from a different angle now - the root cause.

Scaled bitmap fonts have no reason to exist at all - ever - period.  I've
ranted about this continually recurring problem upstream, and have
pressured _anyone_ to give me a reason that scaled bitmap fonts should
continue to exist.  So far, not a single person disagrees, and future
XFree86 releases will have the bitmap font scaler engine completely
removed.  I'm planning on either doing it myself, or backporting this
for Milan, and also shoving it into all future erratum releases as well.

I'll leave this open for now, until I'm reasonably sure that the
issue is fixed in a current erratum (most likely the next release).
Comment 16 Mike A. Harris 2002-11-03 04:38:01 EST
This is resolved in Red Hat Linux 8.0 to the best of my knowledge.  On
a clean install, the fontpaths are clean, and on an upgrade they seem
to be ok also.  Please reopen if some upgrade path still causes this
problem, and I'll look into it.  I believe it shouldn't be an issue
anymore now though.

Note You need to log in before you can comment on or make changes to this bug.